#ifndef _GYR_TIMESTAMP
#define _GYR_TIMESTAMP

#include "protocol.h"

#include <vector>

class TimeStamp : public std::vector<short int> { 
	private:
		short _index;
		Protocol::Type _type;
	public:
		TimeStamp(Protocol::Type t, short idx);
		TimeStamp::TimeStamp(Protocol::Type type, char * raw, unsigned short raw_size);

		char * getRaw();
		unsigned short getRawSize();

		Protocol::Type getType();
		short getIndex();
		bool operator==(TimeStamp &stamp);
		
		void TimeStamp::display();
		
};

#endif
